libswe0_1.80.00.0002-1_amd64.deb


Advertisement

Description

libswe0 - C library for the Swiss Ephemeris

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libswe0
Package version: 1.80.00.0002
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 476 B
Download size: 204.06 KB
Official Mirror: ftp.br.debian.org
libswe0 allows programs to access the Swiss Ephemeris. The SWISS EPHEMERIS is the high precision ephemeris developed by Astrodienst, largely based upon the DE406 ephemeris from NASA's JPL. The Swiss Ephemeris is based upon the latest planetary and lunar ephemeris, DE405/406, developed by NASA's Jet Propulsion Laboratory.

Alternatives

    Download

    Source package: libswe

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libswe0 deb package:
      # sudo apt-get install libswe0

    Files

    • /usr/lib/x86_64-linux-gnu/libswe.so.0
    • /usr/lib/x86_64-linux-gnu/libswe.so.0.3.0
    • /usr/share/doc/libswe0/changelog.Debian.gz
    • /usr/share/doc/libswe0/changelog.gz
    • /usr/share/doc/libswe0/copyright
    • /usr/share/lintian/overrides/libswe0

    Changelog

    2014-06-12 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.80.00.0002-1) unstable; urgency=medium * proper includedir (closes: #751360) * Standards-Version: 3.9.5

    2013-09-22 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.80.00.0001-1) unstable; urgency=low * New upstream version 1.80.00 * all libswe0 symbols assumed to have new behavior for 1.80

    2013-08-20 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.79.00.0001-1) unstable; urgency=low * all libswe0 symbols have new behavior for 1.79 * replace patch to astrodienst/src/swephexp.h with debian/rules DEB_CPPFLAGS_MAINT_APPEND parameter * harden library swetest against buffer overflow attacks on sprintf * harden swetest agaist buffer format attacks on printf * specify version of swe-basic-data in recommends 1.79 * allow -Werror=format-security -Wformat errors. (closes: #719653) * shorten description. (closes: #681215) * fix dep-3 headers

    2013-08-12 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.78.00.0001-1) unstable; urgency=low * New upstream version 1.78.00 * update debian/libswe0.symbols * specify version of swe-basic-data in recommends * change copyright because libswe-doc no longer in this source package

    2013-08-10 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0006-1) unstable; urgency=low * Remove libswe-doc package. Will have it's own source package.

    2013-08-08 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0005-7) unstable; urgency=low * Standards-Version: 3.9.4 * debian/compat is 9 * disable these errors -Wno-error=format-security -Wno-format * Multi arch * fix vcs-field-not-canonical

    2013-08-07 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0005-6) unstable; urgency=low * Fix "FTBFS all arches" Don't build docs for arch dependent builds (Closes: #718715)

    2013-08-02 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0005-5) unstable; urgency=low * Fix "FTBFS: Unable to store document to private:stream (ErrCode 3088)" changed src/Makefile.am unoconv --stdout to unoconv -o sleep 20 sec after starting unoconv listner (Closes: #718090)

    2012-04-05 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0005-4) unstable; urgency=low * upgrade to Standards-Version: 3.9.3 * upgrade copyright file to dep-5

    2012-03-03 - Paul Elliott <pelliott@blackpatchpanel.com> libswe (1.77.00.0005-3) unstable; urgency=low * add Vcs fields for collab-maint repository

    Advertisement
    Advertisement